[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResourceDesc.ID

The value of the resource description as an ID

## Declaration

Source position: resource.pp line 122

`public property TResourceDesc.ID : TResID read GetID write SetID;`

## Description

Setting this property causes DescType to be dtID

Remark: | When reading, if DescType is dtName, an EResourceDescTypeException exception is raised.

## See also

TResourceDesc.Name |  | The value of the resource description as a name
TResourceDesc.DescType |  | The type of the resource description